(function ($) {
    'use strict';
	
    // magnific-popup active code 
    if ($.fn.magnificPopup) {
        $('.magnific-popup').magnificPopup({
            type: 'image',
            gallery: {
                enabled: true
            }
        });
	// Video Btn Code
	$('.video_btn').magnificPopup({
		disableOn: 0,
		type: 'iframe',
		mainClass: 'mfp-fade',
		removalDelay: 160,
		preloader: true,
		fixedContentPos: false
	});
    }

    // counterup active code
    if ($.fn.counterUp) {
        $('.counter').counterUp({
            delay: 10,
            time: 3000
        });
    }

    // ScrollUp Active Code
    if ($.fn.scrollUp) {
        $.scrollUp({
            scrollSpeed: 2000,
            easingType: 'easeInOutQuart',
            scrollText: '<i class="fa fa-angle-up" aria-hidden="true"></i>'
        });
    }

    // MatchHeight Active Code
    if ($.fn.matchHeight) {
        $('.item').matchHeight();
    }

    // meanmenu active code
    if ($.fn.meanmenu) {
        $('.main_menu_area .mainmenu nav').meanmenu();
    }

    // wow active code
    new WOW().init();

    // PreventDefault a click
    $("a[href='#']").on('click', function ($) {
        $.preventDefault();
    });

    // countdown active code
    $('[data-countdown]').each(function () {
        var $this = $(this),
            finalDate = $(this).data('countdown');
        $this.countdown(finalDate, function (event) {
            $(this).find(".days").html(event.strftime("%D"));
            $(this).find(".hours").html(event.strftime("%H"));
            $(this).find(".minutes").html(event.strftime("%M"));
            $(this).find(".seconds").html(event.strftime("%S"));
        });
    });

	// Pre loader
	if ( !$("html").is(".ie6, .ie7, .ie8") ) {
		$("#preloader").delay(1000).fadeOut("slow");
	}
	else {
		$("#preloader").css("display","none");
	}

    // Social media api followers counter js
    jQuery(document).ready(function() {
        $('.social-counter').socialCounter( {
            users: {
                dribbble_user: 'juanv911', facebook_user: 'tatwerat', instagram_user: 'abdo.host', google_plus_id: '100542012590159373204', youtube_user: 'envato', pinterest_user: 'juanv911', soundcloud_user_id: 'juanv911', vimeo_user: 'vimeocuration', twitter_user: 'abdo_host', behance_user: 'juanv911', github_user: 'aarossig', vk_id: '66748'
            }
            , api: {
                dribbble_token: '1c73ffb7859f2c1c37450789dce2369af5caa9e18c3df1fa30485cfad79081d8', instagram_token: '3075655416.cf953f8.9a411e688ff149478e32d122c8ca4bb1', google_plus_key: 'AIzaSyDXpwzqSs41Kp9IZj49efV3CSrVxUDAwS0', facebook_token: 'EAACOY9sLeq0BAKnOZA8fgUIfzHfwJdZAMib7gAetHMlIzrGbI6yf7GZCvUYSsgFVBSnImNXVHjnppzz0c2ZAziOCZC1NCz6nzDO0DxdEqD0DTPIxB1YFxNozBYQfTSQrDYa2fuwdHon5TA75Kt7Tm56aRZC7bo0iuS1GrhDfoHKSTUedoZC1UpjpAEBbcyP29IZD', youtube_key: 'AIzaSyDXpwzqSs41Kp9IZj49efV3CSrVxUDAwS0', soundcloud_client_id: '5a9f3b72a723aac2cffb7ee684a80d9b', vimeo_token: '961a0b29198b9ed293a6a70d2c160b0f', behance_client_id: 'mpX9kGiySp7YxrTCCw6FwNmKvDLNAt49', vk_access_token: '38166cab59708ddd3475f08043834dd060783d977a1b52568edf55541bff0252de8b108022a6cfe09d336',
            }
        }
        );
    }

    );


})(jQuery);